com.microfocus.awm.meta.modelextension

## Class ToolTypeParameter

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.ToolTypeParameter

- All Implemented Interfaces:
    IModelExtensionWithAttributes, IModelExtensionWithEnabledCondition
  Direct Known Subclasses:
    ToolTypeInputParameter, ToolTypeOutputParameter

      public abstract class ToolTypeParameter
      extends ModelExtensionWithAttributes
      implements IModelExtensionWithEnabledCondition

  Abstract super class for predefined tool type parameter extensions.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTypeParameter(java.lang.String pID, java.lang.String pLabel, ToolTypeExtension pParentToolTypeExtension, FunctionPackageExtension pFpe, EParameterTypes pType, int pSequenceNumber, EModelExtensionCardinality pCardinality, boolean pIsMassProcessing)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EModelExtensionCardinality` | `getCardinality()` Gets the cardinality.
    `REnabledCondition` | `getEnabledCondition()` Gets the enabled condition of this instance.
    `int` | `getSequenceNumber()` Gets the sequence number of the parameter.
    `PreDefinedModelExtensionObject` | `getTargetReference()` Gets the referenced target property extension.
    `ToolTypeExtension` | `getToolTypeExtension()` Gets the toolTypeExtension.
    `EParameterTypes` | `getType()` Gets the type.
    `boolean` | `isMassProcessing()` The mass processing attribute of the parameter
    `void` | `setEnabledCondition(REnabledCondition pVisibleWhen)` Sets the enabled condition of this instance.
    `void` | `setTargetReference(PreDefinedModelExtensionObject pTargetReference)` Sets the target property extension.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllAttributes, getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTypeParameter

          public ToolTypeParameter(java.lang.String pID,
                                   java.lang.String pLabel,
                                   ToolTypeExtension pParentToolTypeExtension,
                                   FunctionPackageExtension pFpe,
                                   EParameterTypes pType,
                                   int pSequenceNumber,
                                   EModelExtensionCardinality pCardinality,
                                   boolean pIsMassProcessing)

      Basic constructor.
      Parameters:
        `pID` - the parameter label
        `pLabel` - the parameter label
        `pParentToolTypeExtension` - the `ToolTypeExtension` of the parent tool descriptor
        `pFpe` - the function package extension
        `pType` - the parameter type
        `pSequenceNumber` - the sequence number
        `pCardinality` - the cardinality of the parameter
        `pIsMassProcessing` - the mass processing attribute of the parameter

  - ### Method Detail

    - #### isMassProcessing

          public boolean isMassProcessing()

      The mass processing attribute of the parameter
      Returns:
        the mass processing attribute

    - #### getCardinality

          public EModelExtensionCardinality getCardinality()

      Gets the cardinality.
      Returns:
        the cardinality

    - #### getToolTypeExtension

          public ToolTypeExtension getToolTypeExtension()

      Gets the toolTypeExtension.
      Returns:
        the toolTypeExtension

    - #### setTargetReference

          public void setTargetReference(PreDefinedModelExtensionObject pTargetReference)

      Sets the target property extension.
      Parameters:
        `pTargetReference` - the target property extension

    - #### getTargetReference

          public PreDefinedModelExtensionObject getTargetReference()

      Gets the referenced target property extension.
      Returns:
        the target property extension or `null`, if the reference was invalid

    - #### getType

          public EParameterTypes getType()

      Gets the type.
      Returns:
        the type

    - #### getSequenceNumber

          public int getSequenceNumber()

      Gets the sequence number of the parameter.
      Returns:
        the sequenceNumber

    - #### getEnabledCondition

          public REnabledCondition getEnabledCondition()

      Description copied from interface: `IModelExtensionWithEnabledCondition`
      Gets the enabled condition of this instance.
      Specified by:
        `getEnabledCondition` in interface `IModelExtensionWithEnabledCondition`
      Returns:
        the enabled condition or `null` if there is none (always enabled)

    - #### setEnabledCondition

          public void setEnabledCondition(REnabledCondition pVisibleWhen)

      Description copied from interface: `IModelExtensionWithEnabledCondition`
      Sets the enabled condition of this instance.
      Specified by:
        `setEnabledCondition` in interface `IModelExtensionWithEnabledCondition`
      Parameters:
        `pVisibleWhen` - the enabled condition to set or `null` if the instance should always be enabled

Copyright © 2015 Micro Focus GmbH. All rights reserved.